# Copyright (c) 2010 Riverbank Computing Limited.
#
# This file is part of dip.
#
# This file may be used under the terms of the GNU General Public License
# v2 or v3 as published by the Free Software Foundation which can be found in
# the files LICENSE-GPL2.txt and LICENSE-GPL3.txt included in this package.
# In addition, as a special exception, Riverbank gives you certain additional
# rights.  These rights are described in the Riverbank GPL Exception, which
# can be found in the file GPL-Exception.txt in this package.
#
# This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
# WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


import sys

if sys.hexversion < 0x02060000:
    raise ValueError("Python v2.5 and earlier are not supported")


from PyQt4.QtCore import PYQT_VERSION, QT_VERSION

if QT_VERSION < 0x040600:
    raise ValueError("Qt v4.6.0 or later is required")

if PYQT_VERSION < 0x040705:
    raise ValueError("PyQt v4.7.5 or later is required")
